<?php
//Incluimos conexion a la base de trader_cdlrisefall3methods
require "../config/Conexion.php";

Class Olt
{
  //Implementando nuestro constructor
  public function __construct()
  {


  }
      public function insertar($nombreolt,$idtecnologia,$idtorre,$vlin) {
        $sql = "INSERT INTO olt (nombreolt,idtecnologia,idtorre,vlin) 
                VALUES ('$nombreolt','$idtecnologia','$idtorre','$vlin')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idolt,$nombreolt,$idtecnologia,$idtorre,$vlin) {
        $sql = "UPDATE olt SET 
                nombreolt = '$nombreolt', 
                idtecnologia = '$idtecnologia',
                idtorre = '$idtorre',
                vlin = '$vlin'                 
                WHERE idolt = '$idolt'";
        return ejecutarConsulta($sql);
    }

    public function listarolt()
    {
      $sql="SELECT o.idolt,t.nombre as nombretecnologia,r.nombre_torre as nombretorre,o.vlin,o.nombreolt FROM olt o join tecnologia t on o.idtecnologia=t.idtecnologia join torre r on o.idtorre=r.idtorre ";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idolt)
    {
      $sql="SELECT * FROM olt where idolt='$idolt'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idolt)
    {
      $sql="DELETE FROM olt where idolt='$idolt'";
      return ejecutarConsulta($sql);
    }

    //Implementar metodo para listar los registros
    public function selectOlt()
    {
      $sql="SELECT * FROM olt";
      return ejecutarConsulta($sql);
    }

    public function selectOltTecnologia($idtecnologia)
    {
      $sql="SELECT * FROM olt where idtecnologia='$idtecnologia'";
      return ejecutarConsulta($sql);
    }

    public function selectOltTorre($torreid)
    {
      $sql="SELECT * FROM olt where idtorre='$torreid'";
      return ejecutarConsulta($sql);
    }

  }